<?php

namespace App\Http\Resources\Dictionary;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class ItemDetailsResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @return array<string, mixed>
     */
    public function toArray(Request $request = null): array
    {
        if (empty($this->resource)) {
            return [];
        }

        $lists = [];
        foreach ($this->resource['response'] as $v) {
            $lists[] = [
                'type_name' => $v['typeName'],
                'item_name' => $v['costName'],
                'unit' => $v['unit'],
                'spec' => $v['costSpec'],
                'price' => (float) $v['price'],
                'cd_name' => $v['manufacturer'] ?? '',
            ];
        }

        return $lists;
    }
}
