<?php
declare(strict_types=1);

namespace App\Utils\Traits;

trait BuildCacheKeyName
{
    /**
     * 获取 检验报告列表 缓存建名
     * @param string $open_id
     * @param string $patient_id
     * @return string
     */
    public function getInspectReportListsKey(string $open_id, string $patient_id): string
    {
        return 'report.inspect.'. $open_id. '.'. $patient_id;
    }

    /**
     * 获取 门诊待缴费列表 缓存键名
     * @param string $open_id
     * @param string $patient_id
     * @return string
     */
    public function getOutpatientPendingListsKey(string $open_id, string $patient_id): string
    {
        return 'outpatient.pending.'. $open_id. '.'. $patient_id;
    }

    /**
     * 获取 门诊待缴费详情 缓存键名
     * @param string $open_id
     * @param string $patient_id
     * @param string $serial_no
     * @return string
     */
    public function getOutpatientPendingDetailsKey(string $open_id, string $patient_id, string $serial_no): string
    {
        return 'outpatient.pending.'. $open_id.'.'. $patient_id. '.'. $serial_no;
    }

    /**
     * 获取用户 免密授权 缓存键名
     * @param string $open_id
     * @param string $patient_id
     * @return string
     */
    public function getUserMedicalInsuranceAuthKey(string $open_id, string $patient_id): string
    {
        return 'medical.user.info.'. $open_id.'.'. $patient_id;
    }
}
